Subject: Re: [netlmm] draft-ietf-netlmm-mn-ar-if-03.txt

From: Hidetoshi Yokota <[email-masked]>
Date: Mon, 03 Mar 2008 11:29:51 +0900

Hi Pete,

Thanks for your comment. Please see inline:

McCann Peter-A001034 wrote:
> Hi, Hidetoshi,
> 
> I added this case to allow for handoff of a single NETLMM 
> session between two interfaces of the same MN.  My assumption
> is that if the MN is smart enough to re-use the MNIID across
> two different interface technologies, it is probably asking
> for the same session to be handed off.

I see your point, but this requirement may be too strict for an 
unmodified host...

> However, I made all of these requirements a SHOULD because 
> the MAG may have more specific information about the new
> attachment and in that case it should be free to set the
> HI as it sees fit.

I thinks these requirements should become "SHALL" at the final stage of 
this document because the MAG and MN need to be aligned in their 
behaviors. Or, it may be a good idea to mention the case when this 
requirement is not met.

> This section is new text so I hope everyone reads it - I am
> certainly open to suggestions/changes.

I hope so and would like to hear other folks' opinions.

Regards,
-- 
Hidetoshi

> Thanks,
> 
> -Pete
> 
> Hidetoshi Yokota wrote:
>> Hi Pete,
>>
>> I have another question about Section 6.2, which says:
>>
>> "If the MAG knows that there was a previous session using a different
>> ATT but the same MNIID, the MAG SHOULD set the HI field to 2 (Handoff
>> between two different interfaces of the mobile node)"  
>>
>> I thought if the two interfaces are different, the IIDs of them may
>> also be different. 
>>
>> What do you think?
>>
>> Regards,
>>
>> McCann Peter-A001034 wrote:
>>> I have just submitted a new version of draft-ietf-netlmm-mn-ar-if,
>>> which you can find here: 
>>>
>>> http://www.ietf.org/internet-drafts/draft-ietf-netlmm-mn-ar-if-03.txt
>>>
>>> Soon I expect there will be an HTML diff from -02 at this location:
>>>
>>>
> http://tools.ietf.org/wg/netlmm/draft-ietf-netlmm-mn-ar-if/draft-ietf-
>>> ne tlmm-mn-ar-if-03-from-02.diff.html
>>>
>>> Major changes:
>>>
>>> * Modified description of step REP1 of MAG_GET_MN_ID sub-function
>>>   to state that PBU/PBACK exchange must complete before RA is sent.
>>>   I think this is necessary to get the right HNP into the RA.
>>>
>>> * Added a MAG_GET_HI sub-function with advice on how to populate
>>>   ATT, MNIID, and HI fields of the PBU.
>>>
>>> * Added a straw-man Security Considerations section.
>>>
>>> Comments and suggestions welcome.
>>>
>>> -Pete
>>> _______________________________________________
>>> netlmm mailing list
>>> [email-masked]
>>> http://www.ietf.org/mailman/listinfo/netlmm
> 
> 
> 
_______________________________________________
netlmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netlmm